Subject: Internship in California

From: [email-masked] (GABFarm)
Date: 14 Jan 1996 21:46:53 -0500

Certified Organic 14 acre farm in Sonoma County seeks hard-working,
curious individual to help with production of Asian Pears, apples,
berries, and persimmons.  Salary dependant on experience, housing
provided.

Contact Ted Richardson at   3175 Sullivan Road, Sebastopol, CA, 95472
Call at (707) 829-0617
e-mail at GAB [email-masked].